SHEBANG
# Copyright @BABOLO (C)2004
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: addon-client.m4,v 1.2 2004/09/08 01:00:40 babolo Exp $

JNTROSTUP(pgsql,-client,dnl
,dnl
# jailup pgsql-client <dirlist>
#           dir relative to ${JAILUPDIR}dnl
)

this=${UPLIBDIR}/${genclass}
MTREE=${this}/mtree${suffix}

for i in "$@"; do
    main_dir="${JAILUPDIR}/${i}"
    ${up_mdir} "${main_dir}" ${MTREE}

    ${up_shlib} "${main_dir}/usr/lib" << "EOF"
        pq gnugetopt ssl crypto z crypt m util readline c ncurses getCGIparm
EOF

    ${up_genlist} bin/ ${MTREE} | ${up_exec} "${main_dir}/bin"
    ${up_mtree} "${main_dir}" ${MTREE}
done
